@echo OFF

REM counter
set /a cnt=1

REM file extension
set search_ext=mkv


REM zero padding
set padding=3


REM overwrite existing mapping
if EXIST mapping.txt (
	echo "mapping exists already!"
	echo "Delete file before your proceed"
	GOTO DONE
) else (
	echo.> mapping.txt
)

REM get all files in current dir
dir /O:N /B > original.txt


for /F "delims=" %%a in ('type original.txt') do (
	
	setlocal DisableDelayedExpansion
	set "line=%%a"
	
	setlocal EnableDelayedExpansion 
	set "ext=!line:~-3!"
	if !line:~-3! == %search_ext% (
		set "pad=000000!cnt!"
		set "zpad=!pad:~-%padding%!"
		echo !zpad!.!ext!^|!line! >> mapping.txt
		REN "!line!" !zpad!.!ext!
		set /a cnt+=1
	)
	
	
	
)
endlocal


:DONE
pause >NUL